import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { DevopsTask } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-31 11:16
 */
interface DevopsTaskCU extends ConditionUtil<DevopsTaskCU> {
    ID: FieldUtil<DevopsTaskCU>;
    TASK_NAME: FieldUtil<DevopsTaskCU>;
    TEMPLATE_ID: FieldUtil<DevopsTaskCU>;
    TIMING_TASK: FieldUtil<DevopsTaskCU>;
    SKIP_NGINX: FieldUtil<DevopsTaskCU>;
    BUSINESS_AREA: FieldUtil<DevopsTaskCU>;
    BUSINESS_GROUP: FieldUtil<DevopsTaskCU>;
    OPERATOR_USER_ID: FieldUtil<DevopsTaskCU>;
    PLAN_TIME: FieldUtil<DevopsTaskCU>;
    RUN_STATE: FieldUtil<DevopsTaskCU>;
    TASK_DESC: FieldUtil<DevopsTaskCU>;
    CREATE_USER_ID: FieldUtil<DevopsTaskCU>;
    UPDATE_USER_ID: FieldUtil<DevopsTaskCU>;
    CREATE_TIME: FieldUtil<DevopsTaskCU>;
    UPDATE_TIME: FieldUtil<DevopsTaskCU>;
}
declare class DevopsTaskMU extends TableUtilImpl<DevopsTaskCU, DevopsTask> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): DevopsTaskCU;
    static get ID(): FieldUtil<DevopsTaskCU>;
    static get TASK_NAME(): FieldUtil<DevopsTaskCU>;
    static get TEMPLATE_ID(): FieldUtil<DevopsTaskCU>;
    static get TIMING_TASK(): FieldUtil<DevopsTaskCU>;
    static get SKIP_NGINX(): FieldUtil<DevopsTaskCU>;
    static get BUSINESS_AREA(): FieldUtil<DevopsTaskCU>;
    static get BUSINESS_GROUP(): FieldUtil<DevopsTaskCU>;
    static get OPERATOR_USER_ID(): FieldUtil<DevopsTaskCU>;
    static get PLAN_TIME(): FieldUtil<DevopsTaskCU>;
    static get RUN_STATE(): FieldUtil<DevopsTaskCU>;
    static get TASK_DESC(): FieldUtil<DevopsTaskCU>;
    static get CREATE_USER_ID(): FieldUtil<DevopsTaskCU>;
    static get UPDATE_USER_ID(): FieldUtil<DevopsTaskCU>;
    static get CREATE_TIME(): FieldUtil<DevopsTaskCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsTaskCU>;
    static get UPGRADE_TIME(): FieldInfo;
    static get NGINX_CONF_NAME(): FieldInfo;
    static get OPERATOR_USER_NAME(): FieldInfo;
    get ID(): FieldUtil<DevopsTaskCU>;
    get TASK_NAME(): FieldUtil<DevopsTaskCU>;
    get TEMPLATE_ID(): FieldUtil<DevopsTaskCU>;
    get TIMING_TASK(): FieldUtil<DevopsTaskCU>;
    get SKIP_NGINX(): FieldUtil<DevopsTaskCU>;
    get BUSINESS_AREA(): FieldUtil<DevopsTaskCU>;
    get BUSINESS_GROUP(): FieldUtil<DevopsTaskCU>;
    get OPERATOR_USER_ID(): FieldUtil<DevopsTaskCU>;
    get PLAN_TIME(): FieldUtil<DevopsTaskCU>;
    get RUN_STATE(): FieldUtil<DevopsTaskCU>;
    get TASK_DESC(): FieldUtil<DevopsTaskCU>;
    get CREATE_USER_ID(): FieldUtil<DevopsTaskCU>;
    get UPDATE_USER_ID(): FieldUtil<DevopsTaskCU>;
    get CREATE_TIME(): FieldUtil<DevopsTaskCU>;
    get UPDATE_TIME(): FieldUtil<DevopsTaskCU>;
    get UPGRADE_TIME(): FieldInfo;
    get NGINX_CONF_NAME(): FieldInfo;
    get OPERATOR_USER_NAME(): FieldInfo;
}
export { DevopsTaskMU, DevopsTaskCU };
